org.keycloak.dom.saml.v2.metadata

## Class SPSSODescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType
    - - org.keycloak.dom.saml.v2.metadata.SSODescriptorType
      - - org.keycloak.dom.saml.v2.metadata.SPSSODescriptorType

-     public class SPSSODescriptorType
      extends SSODescriptorType

  Java class for SPSSODescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SPSSODescriptorType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}SSODescriptorType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AssertionConsumerService" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AttributeConsumingService" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
             <attribute name="AuthnRequestsSigned" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="WantAssertionsSigned" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<IndexedEndpointType>` | `assertionConsumerService`
    `protected List<AttributeConsumingServiceType>` | `attributeConsumingService`
    `protected boolean` | `authnRequestsSigned`
    `protected boolean` | `wantAssertionsSigned`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.SSODescriptorType

      `artifactResolutionService, manageNameIDService, nameIDFormat, singleLogoutService`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `cacheDuration, contactPerson, errorURL, extensions, id, keyDescriptor, organization, protocolSupportEnumeration, signature, validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPSSODescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionConsumerService(IndexedEndpointType assertionConsumer)` Add an Assertion Consumer Service
    `void` | `addAttributeConsumerService(AttributeConsumingServiceType attributeConsumer)` Add an attribute consumer
    `List<IndexedEndpointType>` | `getAssertionConsumerService()` Gets the value of the assertionConsumerService property.
    `List<AttributeConsumingServiceType>` | `getAttributeConsumingService()` Gets the value of the attributeConsumingService property.
    `Boolean` | `isAuthnRequestsSigned()` Gets the value of the authnRequestsSigned property.
    `Boolean` | `isWantAssertionsSigned()` Gets the value of the wantAssertionsSigned property.
    `void` | `removeAssertionConsumerService(IndexedEndpointType assertionConsumer)` Remove an Assertion Consumer Service
    `void` | `removeAttributeConsumerService(AttributeConsumingServiceType attributeConsumer)` Remove an attribute consumer
    `void` | `setAuthnRequestsSigned(Boolean value)` Sets the value of the authnRequestsSigned property.
    `void` | `setWantAssertionsSigned(Boolean value)` Sets the value of the wantAssertionsSigned property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.SSODescriptorType

      `addArtifactResolutionService, addManageNameIDService, addNameIDFormat, addSingleLogoutService, getArtifactResolutionService, getManageNameIDService, getNameIDFormat, getSingleLogoutService, removeArtifactResolutionService, removeManageNameIDService, removeNameIDFormat, removeSingleLogoutService`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `addContactPerson, addKeyDescriptor, getCacheDuration, getContactPerson, getErrorURL, getExtensions, getID, getKeyDescriptor, getOrganization, getProtocolSupportEnumeration, getSignature, getValidUntil, removeContactPerson, removeKeyDescriptor, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setSignature, setValidUntil`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assertionConsumerService

          protected List<IndexedEndpointType> assertionConsumerService

    - #### attributeConsumingService

          protected List<AttributeConsumingServiceType> attributeConsumingService

    - #### authnRequestsSigned

          protected boolean authnRequestsSigned

    - #### wantAssertionsSigned

          protected boolean wantAssertionsSigned

  - ### Constructor Detail

    - #### SPSSODescriptorType

          public SPSSODescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addAssertionConsumerService

          public void addAssertionConsumerService(IndexedEndpointType assertionConsumer)

      Add an Assertion Consumer Service
      Parameters:
        `assertionConsumer` - an endpoint of type `IndexedEndpointType`

    - #### addAttributeConsumerService

          public void addAttributeConsumerService(AttributeConsumingServiceType attributeConsumer)

      Add an attribute consumer
      Parameters:
        `attributeConsumer` - an instance of type `AttributeConsumingServiceType`

    - #### removeAssertionConsumerService

          public void removeAssertionConsumerService(IndexedEndpointType assertionConsumer)

      Remove an Assertion Consumer Service
      Parameters:
        `assertionConsumer` - an endpoint of type `IndexedEndpointType`

    - #### removeAttributeConsumerService

          public void removeAttributeConsumerService(AttributeConsumingServiceType attributeConsumer)

      Remove an attribute consumer
      Parameters:
        `attributeConsumer` - an instance of type `AttributeConsumingServiceType`

    - #### getAssertionConsumerService

          public List<IndexedEndpointType> getAssertionConsumerService()

      Gets the value of the assertionConsumerService property.

      Objects of the following type(s) are allowed in the list `IndexedEndpointType`

    - #### getAttributeConsumingService

          public List<AttributeConsumingServiceType> getAttributeConsumingService()

      Gets the value of the attributeConsumingService property.

      Objects of the following type(s) are allowed in the list `AttributeConsumingServiceType`

    - #### isAuthnRequestsSigned

          public Boolean isAuthnRequestsSigned()

      Gets the value of the authnRequestsSigned property.
      Returns:
        possible object is `Boolean`

    - #### setAuthnRequestsSigned

          public void setAuthnRequestsSigned(Boolean value)

      Sets the value of the authnRequestsSigned property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isWantAssertionsSigned

          public Boolean isWantAssertionsSigned()

      Gets the value of the wantAssertionsSigned property.
      Returns:
        possible object is `Boolean`

    - #### setWantAssertionsSigned

          public void setWantAssertionsSigned(Boolean value)

      Sets the value of the wantAssertionsSigned property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2020 JBoss by Red Hat. All rights reserved.